/*
 * File: _coder_MLS_applyDeform_api.h
 *
 * MATLAB Coder version            : 3.4
 * C/C++ source code generated on  : 18-Feb-2019 15:40:18
 */

#ifndef _CODER_MLS_APPLYDEFORM_API_H
#define _CODER_MLS_APPLYDEFORM_API_H

/* Include Files */
#include "tmwtypes.h"
#include "mex.h"
#include "emlrt.h"
#include <stddef.h>
#include <stdlib.h>
#include "_coder_MLS_applyDeform_api.h"

/* Variable Declarations */
extern emlrtCTX emlrtRootTLSGlobal;
extern emlrtContext emlrtContextGlobal;

/* Function Declarations */
extern void MLS_applyDeform(uint8_T oldImg[921600], real_T f[614400], real_T v
  [308], real_T grid_size[2], uint8_T newImg[921600]);
extern void MLS_applyDeform_api(const mxArray *prhs[4], const mxArray *plhs[2]);
extern void MLS_applyDeform_atexit(void);
extern void MLS_applyDeform_initialize(void);
extern void MLS_applyDeform_terminate(void);
extern void MLS_applyDeform_xil_terminate(void);

#endif

/*
 * File trailer for _coder_MLS_applyDeform_api.h
 *
 * [EOF]
 */
